<?php

namespace App\Repositories;

use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Model;

class Accreditation extends Model
{

	use SoftDeletes;

	protected $dates = ['deleted_at'];

	protected $guarded = ['id'];

	protected $with = array('filters');

	public function learning_product()
	{
		return $this->belongsTo(LearningProduct::class);
	}

	public function filters()
	{
		return $this->morphMany(FilterItemsAssociation::class, 'filter_items_associations');
	}
}